/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2013.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.analysis.app.ui.internal.impactanalysis.BaseTable");

dojo.require("rmps.ui.Table");

/**
 * This class is a basic table and temporary solution to hide the pagination controls as 
 * for ImpactAnalysis browsing tables never supported pagination.
 */
dojo.declare("dm.analysis.app.ui.internal.impactanalysis.BaseTable", [rmps.ui.Table], {
	
	postCreate: function() {
		this.inherited(arguments);
		this._itemsPerPage.hidden = true;
		this.pagingControl.previousNode.hidden = true;
		this.pagingControl.nextNode.hidden = true;
		this.pagingControl.infoNode.hidden = true;
		this.footerPagingControl.previousNode.hidden = true;
		this.footerPagingControl.nextNode.hidden = true;
		this.footerPagingControl.infoNode.hidden = true;
	},
	
});

}());