/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2012.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	//All IA Profile Editor:
	iaProfileTitle: "Impact Analysis Profiles",
	newProfile : "Create Impact Analysis Profile",
	refresh: "Refresh",
	exportProfile: "Export Selected Profiles",
	confirmExport: "Exporting the selected profiles also exports all Impact Analysis filters that are included in the selected profiles.",

	name: "Name",
	description: "Description",
	lastModified : "Last Modified",
	modifier: "Modifier",
	actions: "Actions",
	systemDefined: "(system defined)",
	toggleRowSelection: "Select Profile",

	//Actions
	reset: "Reset",
	deleteProfile: "Delete",
	edit: "Edit",
	
	//Delete/Reset Messages
	confirmDelete: "Are you sure you want to delete the Impact Analysis Profile '${0}'?",
	confirmReset: "Are you sure you want to reset the system defined Impact Analysis Profile '${0}'?",
	cantDelete: "The Impact Profile '${0}' could not be deleted. It may be in use by one or more Impact Analysis diagrams.",
	cantReset: "The system Impact Profile '${0}' could not be reset.",
	successDelete: "The Impact Profile '${0}' was deleted.",
	successReset: "The system Impact Profile '${0}' was reset.",

	//Errors
    errorGetAllIAProfiles:"CRMIA0102E The server cannot retrieve the impact analysis profiles.", 
    'errorGetAllIAProfiles.explanation':"The server might not be running or it might be unreachable.", 
    'errorGetAllIAProfiles.useraction':"Verify that the server is running and that you can connect to it; then try to retrieve the list of profiles again.", 


    //IA Profile Editor:
	newProfileTitle: "Add a profile name",
	cancel: "Cancel",

	//General/Filters
	sectionTitle_general: "General",
	profileDescription: "Description:",
	profileDescriptionHover: "A description of this profile.",
	profileGeneralTitleSystemDefined: "System defined profile",
	
	sectionTitle_traversal: "Traversal",

	sectionTitle_filters: "Filters",
	iaEditorFilterNames: "Filter Name",
	iaEditorTypesAddToolTip: "Add Selection Artifact/Link Type",
	iaEditorFilterAddToolTip: "Add Filter",

	//AddFilterDialog
	iaEditorSelectionElmDialogFilter: "Filter:",
	iaEditorSelectionElmDialogAdd: "Add",
	iaEditorSelectionElmDialogTitle: "Add Filter",
	iaEditorSelectionElmDialogNoFilters: "No filters are available.",

	//Traversal Definition:
	traversalLabel: "Traversal:",
	traversalSelectionHover: "Method of traversing the diagram",
	traversalSetTypeBoundary: "Set Depth Based on Type",
	traversalSetTypeBoundaryDialogTitle: "Select Type",

	traversalUpstreamLabel: "Upstream Depth:",
	traversalUpstreamHover: "Upstream traversal boundary",
	traversalDownstreamLabel: "Downstream Depth:",
	traversalDownstreamHover: "Downstream traversal boundary",
	traversalFullTraceLabel: "Full Trace Depth:",
	traversalFullTraceHover: "Full Trace traversal boundary",


	//Errors
	errorMissingTitle: 'CRMIA0001E The name of the impact analysis Profile is missing.', 
	'errorMissingTitle.explanation': 'The name uniquely identifies the impact analysis Profile in a list. ', 
	'errorMissingTitle.useraction': 'Specify a name that contains alphanumeric characters and spaces but no special characters.', 

	errorMissingUpstreamDepth: 'The upstream depth for this impact analysis Profile is missing.',  //!SERVICE
	errorMissingDownstreamDepth: 'The downstream depth for this impact analysis Profile is missing.',  //!SERVICE
	errorMissingFullTraceDepth: 'The full trace depth for this impact analysis Profile is missing.',  

	errorSaving:"CRMIA0003E Your changes to the impact analysis Profile cannot be saved.", 
	'errorSaving.explanation': "An unexpected error occurred while saving an impact analysis Profile.",
	'errorSaving.useraction':"Verify that the server is running, and that you can connect to the server; then try to save your changes again.", 

	errorGetDomains:"CRMIA0004E The server cannot retrieve the list of domains.", 
	'errorGetDomains.explanation':"An unexpected error occurred while retrieving the list of domains.", 
	'errorGetDomains.useraction':"Verify that the server is running, and that you can connect to the server; then try to retrieve the list again.", 
})
